﻿using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using VoiceCommandDemo1.Resources;

namespace VoiceCommandDemo1
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            UGMeets.Add(new Events { Month = "May", Name = "BDotnet Windows Phone Webinars" });
            UGMeets.Add(new Events { Month = "October", Name = "Windows Phone Week" });
            UGMeets.Add(new Events { Month = "June", Name = "Powershell UG Meet" });
            UGMeets.Add(new Events { Month = "June", Name = "SQL Bangalore Meet" });
        }

        private List<Events> UGMeets = new List<Events>();

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            string Url = e.Uri.ToString();
            if (NavigationContext.QueryString.ContainsKey("voiceCommandName"))
            {
                string CommandName = NavigationContext.QueryString["voiceCommandName"];
                switch (CommandName)
                {
                    case "EventsFilter":
                        string viewWidget = NavigationContext.QueryString["MonthViews"];
                        var data = UGMeets.Where(a => a.Month == viewWidget).ToList();
                        LLS.ItemsSource = data;
                        break;
                }
            }
        }
    }

    public class Events
    {
        public string Month { get; set; }

        public string Name { get; set; }
    }
}